SmilesRing
Date: 2019-10-22

org.jmol.smiles

## Class SmilesRing

- java.lang.Object
- - javajs.util.BS
  - - org.jmol.smiles.SmilesRing

- All Implemented Interfaces:
    java.lang.Cloneable, javajs.api.JSONEncodable

      class SmilesRing
      extends javajs.util.BS

  Ring of (tentatively) aromatic nodes and edges

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) javajs.util.BS` | `bsEdgesToCheck`
    `(package private) javajs.util.Lst<Edge>` | `edges`
    `(package private) boolean` | `isOK`
    `(package private) int` | `n`
    `(package private) SmilesRingSet` | `set`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmilesRing(int n, javajs.util.BS atoms, javajs.util.Lst<Edge> edges, boolean isOK)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `addEdges(java.util.Hashtable<java.lang.String,SmilesRingSet> htEdgeMap)`
    `private static java.lang.String` | `getKey(Edge e)`
    `(package private) static SmilesRingSet` | `getSetByEdge(Edge edge, java.util.Hashtable<java.lang.String,SmilesRingSet> htEdgeMap)`

    - ### Methods inherited from class javajs.util.BS

      `and, andNot, cardinality, cardinalityN, clear, clearAll, clearBits, clone, copy, equals, escape, get, hashCode, intersects, isEmpty, length, newN, nextClearBit, nextSetBit, or, set, setBits, setBitTo, size, toJSON, toString, unescape, xor`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### set

          SmilesRingSet set

    - #### edges

          javajs.util.Lst<Edge> edges

    - #### bsEdgesToCheck

          javajs.util.BS bsEdgesToCheck

    - #### isOK

          boolean isOK

    - #### n

          int n

  - ### Constructor Detail

    - #### SmilesRing

          SmilesRing(int n,
                     javajs.util.BS atoms,
                     javajs.util.Lst<Edge> edges,
                     boolean isOK)

  - ### Method Detail

    - #### addEdges

          void addEdges(java.util.Hashtable<java.lang.String,SmilesRingSet> htEdgeMap)

    - #### getSetByEdge

          static SmilesRingSet getSetByEdge(Edge edge,
                                            java.util.Hashtable<java.lang.String,SmilesRingSet> htEdgeMap)

    - #### getKey

          private static java.lang.String getKey(Edge e)